atk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.IWrapper The interface implemented by components with text content.

should be implemented by s on behalf of widgets that have text content which is either attributed or otherwise non-trivial. s whose text content is simple, unattributed, and very brief may expose that content via atk_object_get_name instead; however if the text is editable, multi-line, typically longer than three or four words, attributed, selectable, or if the object already uses the 'name' ATK property for other information, the interface should be used to expose the text content. In the case of editable text content, (a subtype of the interface) should be implemented instead.

provides not only traversal facilities and change notification for text content, but also caret tracking and glyph bounding box calculations. Note that the text strings are exposed as UTF-8, and are therefore potentially multi-byte, and caret-to-byte offset mapping makes no assumptions about the character length; also bounding box glyph-to-offset mapping may be complex for languages which use ligatures.

- Method
  2.12.0.0
  System.Boolean `` `` the start position of the selected region the end position of the selected region Adds a selection bounded by the specified offsets. if success, otherwise
- Property
  2.12.0.0
  System.Int32 Gets the offset position of the caret (cursor). the offset position of the caret (cursor).
- Property
  2.12.0.0
  System.Int32 Gets the character count. the number of characters.
- Property
  2.12.0.0
  Atk.Attribute[] Creates an which consists of the default values of attributes for the text. an which contains the default values of attributes, at . See the enum for types of text attributes that can be returned. Note that other attributes may also be returned.
- Method
  2.12.0.0
  Atk.TextRange `` `` `` `` a a a a To be added a To be added
- Method
  2.12.0.0
  System.Char `` position Gets the specified text. the character at .
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` The offset of the text character for which bounding information is required. Pointer for the x cordinate of the bounding box. Pointer for the y cordinate of the bounding box. Pointer for the width of the bounding box Pointer for the height of the bounding box. specify whether coordinates are relative to the screen or widget window Get the bounding box containing the glyph representing the character at a particular text offset.
- Method
  2.12.0.0
  System.Int32 `` `` `` screen x-position of character screen y-position of character specify whether coordinates are relative to the screen or widget window Gets the offset of the character located at coordinates and . the offset to the character which is located at the specified x and y coordinates. and are interpreted as being relative to the screen or this widget's window depending on .
- Method
  2.12.0.0
  Atk.TextRectangle `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` `` To be added a a a a To be added
- Method
  2.12.0.0
  Atk.Attribute[] `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.SList `` `` `` Creates an which consists of the attributes explicitly set at the position offset in the text. and are set to the start and end of the range around where the attributes are invariant. the offset at which to get the attributes the address to put the start offset of the range the address to put the end offset of the range an which contains the attributes explicitly set at . See the enum for types of text attributes that can be returned. Note that other attributes may also be returned.
- Method
  2.12.0.0
  System.String `` `` `` The selection number. The selected regions are assigned numbers that correspond to how far the region is from the start of the text. The selected region closest to the beginning of the text region is assigned the number 0, etc. Note that adding, moving or deleting a selected region can change the numbering. passes back the start position of the selected region passes back the end position of the selected region Gets the text from the specified selection. the selected text.
- Method
  2.12.0.0
  System.String `` `` start position end position Gets the specified text. the text from up to, but not including .
- Method
  2.12.0.0
  System.String `` `` `` `` position a the start offset of the returned string. the end offset of the returned string. Gets the specified text. the text after bounded by the specified .

  If the is the character after the offset is returned.

  If the is the returned string is from the word start after the offset to the next word start.

  The returned string will contain the word after the offset if the offset is inside a word or if the offset is not inside a word.

  If the is the returned string is from the word end at or after the offset to the next work end.

  The returned string will contain the word after the offset if the offset is inside a word and will contain the word after the word after the offset if the offset is not inside a word.

  If the is the returned string is from the sentence start after the offset to the next sentence start.

  The returned string will contain the sentence after the offset if the offset is inside a sentence or if the offset is not inside a sentence.

  If the is the returned string is from the sentence end at or after the offset to the next sentence end.

  The returned string will contain the sentence after the offset if the offset is inside a sentence and will contain the sentence after the sentence after the offset if the offset is not inside a sentence.

  If the is the returned string is from the line start after the offset to the next line start.

  If the is the returned string is from the line end at or after the offset to the next line start.

- Method
  2.12.0.0
  System.String `` `` `` `` position a the start offset of the returned string. the end offset of the returned string. Gets the specified text. the text at bounded by the specified .

  If the is the character after the offset is returned.

  If the is the returned string is from the word start after the offset to the next word start.

  The returned string will contain the word after the offset if the offset is inside a word or if the offset is not inside a word.

  If the is the returned string is from the word end at or after the offset to the next work end.

  The returned string will contain the word after the offset if the offset is inside a word and will contain the word after the word after the offset if the offset is not inside a word.

  If the is the returned string is from the sentence start after the offset to the next sentence start.

  The returned string will contain the sentence after the offset if the offset is inside a sentence or if the offset is not inside a sentence.

  If the is the returned string is from the sentence end at or after the offset to the next sentence end.

  The returned string will contain the sentence after the offset if the offset is inside a sentence and will contain the sentence after the sentence after the offset if the offset is not inside a sentence.

  If the is the returned string is from the line start after the offset to the next line start.

  If the is the returned string is from the line end at or after the offset to the next line start.

- Method
  2.12.0.0
  System.String `` `` `` `` position a the start offset of the returned string. the end offset of the returned string. Gets the specified text. the text before bounded by the specified .

  If the is the character after the offset is returned.

  If the is the returned string is from the word start after the offset to the next word start.

  The returned string will contain the word after the offset if the offset is inside a word or if the offset is not inside a word.

  If the is the returned string is from the word end at or after the offset to the next work end.

  The returned string will contain the word after the offset if the offset is inside a word and will contain the word after the word after the offset if the offset is not inside a word.

  If the is the returned string is from the sentence start after the offset to the next sentence start.

  The returned string will contain the sentence after the offset if the offset is inside a sentence or if the offset is not inside a sentence.

  If the is the returned string is from the sentence end at or after the offset to the next sentence end.

  The returned string will contain the sentence after the offset if the offset is inside a sentence and will contain the sentence after the sentence after the offset if the offset is not inside a sentence.

  If the is the returned string is from the line start after the offset to the next line start.

  If the is the returned string is from the line end at or after the offset to the next line start.

- Property
  2.12.0.0
  System.Int32 Gets the number of selected regions. The number of selected regions, or -1 if a failure occurred.
- Method
  2.12.0.0
  System.Boolean `` The selection number. The selected regions are assigned numbers that correspond to how far the region is from the start of the text. The selected region closest to the beginning of the text region is assigned the number 0, etc. Note that adding, moving or deleting a selected region can change the numbering. Removes the specified selection. if success, otherwise
- Method
  2.12.0.0
  System.Boolean `` position Sets the caret (cursor) position to the specified offset. if success, otherwise.
- Method
  2.12.0.0
  System.Boolean `` `` `` The selection number. The selected regions are assigned numbers that correspond to how far the region is from the start of the text. The selected region closest to the beginning of the text region is assigned the number 0, etc. Note that adding, moving or deleting a selected region can change the numbering. the new start position of the selection the new end position of the selection Changes the start and end offset of the specified selection. if success, otherwise
- Event
  2.12.0.0
  System.EventHandler Emitted when the text attributes of the text of an object which implements AtkText changes.
- Event
  2.12.0.0
  Atk.TextCaretMovedHandler Emitted when the caret position of the text of an object which implements AtkText changes.
- Event
  2.12.0.0
  Atk.TextChangedHandler Emitted when the text of the object which implements the AtkText interface changes. This signal will have a detail which is either "insert" or "delete" which identifies whether the text change was an insertion or a deletion.
- Event
  2.12.0.0
  System.EventHandler Emitted when the selected text of an object which implements AtkText changes.